//кнопка апдейт
$('#update').click(function(){
  f_searchInitializationElk();
});

//отслеживание нажатий клавиши в главной окне
$(window).keypress(function (e){
  if ((e.ctrlKey || e.metaKey) && e.keyCode == 6) {
    search.openSearchWindow();
  }
  if ((e.ctrlKey || e.metaKey) && e.keyCode == 19) {
    if(f_isLogin()){
      clipboard.writeText(global.responseRaw);
    }
  }
});

$('#search_string').keypress(function(event){
  var $keycode = (event.keyCode ? event.keyCode : event.which);
  if($keycode == '13'){
    f_searchInitializationElk();
  }
  event.stopPropagation();
});




//буфер обмена
const {clipboard} = require('electron');

//правая кнопка мыши START
const {remote} = require('electron')
const {Menu, MenuItem} = remote

const menu = new Menu()

// Копировать
menu.append(new MenuItem ({
  label: 'Copy',
  accelerator: 'CmdOrCtrl+C',
    click() { 
      {
        f_clipboard_elk();
    }
    }}))
//Поиск
menu.append(new MenuItem ({
  label: 'Search',
  accelerator: 'CmdOrCtrl+F',
    click() { 
      {
        search.openSearchWindow();
    }
    }}))
//сохранить в файл
menu.append(new MenuItem ({
  label: 'Copy result to clipboard',
  accelerator: 'CmdOrCtrl+S',
    click() { 
      if(f_isLogin()){
        f_clipboardrawdata();
      }
    }}))

// Prevent default action of right click in chromium. Replace with our menu.
window.addEventListener('contextmenu', (e) => {
    e.preventDefault()
    menu.popup(remote.getCurrentWindow())
}, false)
//правая кнопка мыши END


 //поиск start
 const searchInPage = require('electron-in-page-search').default;
 const remotew = require('electron').remote;
 const search = searchInPage(remotew.getCurrentWebContents());
 //поиск end